/* Layout */
import Layout from '@/layout'

const otherRouter = {
  path: '/sys',
  component: Layout,
  redirect: '/sys/about',
  name: 'Sys',
  meta: { title: '其他设置', icon: 'el-icon-setting' },
  alwaysShow: true,
  children: [
    // {
    //   path: 'about',
    //   name: 'About',
    //   component: () => import('@/views/other/about'),
    //   meta: { title: '关于我们', icon: 'el-icon-info' }
    // },
    // {
    //   path: 'after',
    //   name: 'After',
    //   component: () => import('@/views/other/after'),
    //   meta: { title: '售后无忧', icon: 'el-icon-shopping-bag-2' }
    // },
    // {
    //   path: 'user',
    //   name: 'User',
    //   component: () => import('@/views/sys/user-list'),
    //   meta: { title: '后台用户管理', icon: 'el-icon-s-custom' }
    // },
    {
      path: 'edit',
      name: 'UserEdit',
      component: () => import('@/views/sys/user-edit'),
      meta: { title: '添加/编辑用户', icon: 'el-icon-s-custom' },
      hidden: true
    },
    {
      path: 'password',
      name: 'Password',
      component: () => import('@/views/sys/password'),
      meta: { title: '修改密码', icon: 'el-icon-unlock' }
    }
  ]
}

export default otherRouter
